## breezy-debian 2.8.10ubuntu1

=== Makefile ===
BRZ ?= $(shell which brz)
BRZ_OPTIONS ?= -Derror
PYTHON ?= $(shell which python)
SETUP ?= $(PYTHON) ./setup.py
TESTS ?= "^breezy.plugins.debian."

all: update-pot

.PHONY: update-pot po/breezy-debian.pot
update-pot: po/breezy-debian.pot

TRANSLATABLE_PYFILES:=$(shell find . -name '*.py' \
		| grep -v 'tests/' \
		)

po/breezy-debian.pot: $(PYFILES) $(DOCFILES)
	BRZ_PLUGINS_AT=builddeb@$(shell pwd) $(BRZ) export-pot \
          --plugin=builddeb > po/breezy-debian.pot
	echo $(TRANSLATABLE_PYFILES) | xargs \
	  xgettext --package-name "breezy-debian" \
	  --msgid-bugs-address "<bazaar@lists.canonical.com>" \
	  --copyright-holder "Canonical Ltd. <bazaar@lists.canonical.com>" \
	  --from-code ISO-8859-1 --sort-by-file --join --add-comments=i18n: \
	  -d breezy-debian -p po -o breezy-debian.pot

check:
	BRZ_PLUGINS_AT=debian@$(shell pwd) $(PYTHON) $(PYTHON_OPTIONS) $(BRZ) $(BRZ_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)

## breezy-debian 2.8.10

=== debian/changelog ===
breezy-debian (2.8.10) unstable; urgency=medium

  * debian/copyright: Fix package name.
  * Fix compatibility with newer versions of breezy.
  * Bump standards version to 4.1.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 08 Nov 2017 23:23:20 +0000

breezy-debian (2.8.9) unstable; urgency=medium

  * Update to be compatible with breezy rather than bazaar.
  * Added support for -b in Git-Vcs fields.
  * Only apply/unapply quilt patches on '3.0 (quilt)' format source
    packages. LP: #999586
  * Remove deprecated --result option for 'bzr builddeb'.
  * Remove deprecated export-upstream setting in configuration.
  * Remove deprecated --v3 option from 'bzr dh-make'.
  * Remove 'bzr merge-package' command - this functionality is now in
    the 'brz merge' command.
  * Bump version to 4.0.0 (no changes).
  * Package as breezy-debian. Closes: #873848
  * Add alias 'debuild' to 'builddeb'.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Jun 2017 14:10:48 +0000

bzr-builddeb (2.8.8) unstable; urgency=low

  [ Iain Lane ]
  * debian/tests/control: Add python-distro-info and libalgorithm-merge-perl
    to test depends; the former is required to compare release names and the
    latter for dpkg-mergechangelogs to generate the expected output (it does
    different things with conflicts in 3-way merges depending on the presence
    of this library). (Closes: #727238)

  [ Andrew Starr-Bochicchio ]
  * Display a helpful error message if dh-make is not installed (LP: #641418).
  * Deprecate --v3 option for the dh-make command. dh_make has been
    creating v3 source packages since 2010 (LP: #811723).
  * quilt.py: quilt_unapplied should only return patch basenames regardless
    of whether or not QUILT_PATCHES_PREFIX is set. Fixes test failure with
    quilt > 0.63-2.
  * import_dsc.py: Use calendar.timegm instead of time.mktime when importing
    the timestamp. Thanks to Anders Kaseorg! (LP: #475983).
  * Bump Standards-Version to 3.9.5, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 14 May 2014 00:24:35 -0400

bzr-builddeb (2.8.7) unstable; urgency=low

  * tests/blackbox/test_import_dsc.py:
   - Explicitly pass '--format=1.0' to dpkg-source inorder to
     silence "no source format specified" warnings printed to
     stderr (Closes: #711042).
  * tests/test_import_dsc.py:
   - As of dpkg 1.17.0, source format '3.0 (native)' strictly
     enforces that native packages do not have a Debian revision.
     Use "0.1" instead of "0.1-1" for the version number in
     test_extract_format3_native (Closes: #720003). 
  * debian/control: Add myself to Uploaders.
  * debian/tests/control:
   - Remove the depricated no-build-needed Features flag and add
     Restrictions: allow-stderr.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 10 Sep 2013 19:05:58 -0400

bzr-builddeb (2.8.6) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Move to minimal dh style rules file. 
  * Drop bzr-svn from Build-Depends-Indep and Suggests (Closes: #709288).
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop deprecated debian/pycompat and debian/pyversions files.
  * Add autopkgtests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 22 May 2013 14:03:43 -0400

bzr-builddeb (2.8.5) experimental; urgency=low

  * Cope with quilt output being empty in error message. LP: #1014543
  * Remove myself and Reinhard from uploaders.
  * Don't consider .gitignore when looking for upstream sources.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 09 Jul 2012 12:04:50 +0200

bzr-builddeb (2.8.4) unstable; urgency=low

  * Add dependency on quilt. LP: #951207
  * Cope with missing tags when looking up upstream versions.
  * Skip quilt unapplying for trees that can not be copied (such as
    _PreviewTree). LP: #950419
  * Document the argument for --export-upstream. LP: #959065

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Mar 2012 11:10:21 +0100

bzr-builddeb (2.8.3) unstable; urgency=low

  * Fix patch unapplying from DirStateRevisionTrees. LP: #923688
  * Bump distro-info dependency back to a recommends, to ease
    backporting.
  * Cope with the deprecation of Tree.inventory in bzr/2.6. LP: #934247
  * Generate xz files with the 'xz' utility rather than the Python
    'lzma' module, as the latter uses options not supported by pristine-
    xz. Closes: #660721
  * Merge fix from Joel Pickett to fix typo in orig-dir option help
    description. LP: #945413
  * Bump standards version to 3.9.3 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Mar 2012 20:47:07 +0100

bzr-builddeb (2.8.2) unstable; urgency=low

  * Only warn about unapplying quilt patches when there are actually
    patches to unapply.
  * Don't throw a traceback when quilt unapplying fails.
  * Read configuration from original working tree, in case there are
    conflicts during merge.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Jan 2012 14:45:04 +0100

bzr-builddeb (2.8.1) unstable; urgency=low

  * New revision specifier 'upstream:'. LP: #905728
  * Imports are now deferred in command definitions, to speed up
    commands like 'bzr bash-completion'. LP: #903650
  * Provide merge-package functionality as a hook for 'bzr merge'.
    LP: #486075, LP: #910900
  * Add pre-commit hook that warns about applied quilt patches, and can
    automatically unapply/apply all quilt patches. LP: #608670
  * Automatically unapply patches before merge operations.
    LP: #815854
  * Include full changelog paths that were checked in error message.
    LP: #811459
  * Cope with unicode strings being specified to TarfileSource. Based on
    patch by Gediminas Paulauskas. LP: #911262
  * Automatically apply patches for 3.0 (quilt) packages in 'bzr bd-do'
    and 'bzr bd'. LP: #616791
  * Switch to source format '3.0 (native)'.
  * Skip import tests for .tar.xz if not supported by pristine-tar.
    Closes: #655463, LP: #917112

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 18 Jan 2012 01:24:21 +0100



=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
Build-Depends-Indep: brz, python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-breezy.tests (>= 3.0.0~bzr6819), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/brz-debian/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/brz-debian/unstable
X-Python-Version: >= 2.4
Standards-Version: 4.1.1
XS-Testsuite: autopkgtest

Package: brz-debian
Architecture: all
Depends: brz (>= 3.0.0~bzr6819), python-breezy (>= 3.0.0~bzr6819), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}
Recommends: python-launchpadlib, libalgorithm-merge-perl, python-distro-info
Suggests: python-lzma
Provides: brz-buildpackage
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)

doc_dir=doc/user_manual/
rst_docs=$(wildcard $(addsuffix /*.rst, $(doc_dir)))
html_docs=$(patsubst %.rst, %.html, $(rst_docs))

%:
	dh $* --with python2 --buildsystem=python_distutils

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_CONCURRENCY = BRZ_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_PARALLEL = --parallel=fork
else
SELFTEST_CONCURRENCY =
SELFTEST_PARALLEL =
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(SELFTEST_CONCURRENCY) BRZ_PLUGINS_AT=debian@$(CURDIR) BRZ_PLUGIN_PATH=-site:-user python$* /usr/bin/brz selftest \
	    $(SELFTEST_PARALLEL) -v -s bp.debian
endif

%.html: %.rst
	rst2html --stylesheet-path=$(doc_dir)/user_manual.css $< > $@

override_dh_auto_build-indep: $(html_docs)
	rst2html README > README.html

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(html_docs)
	rm -f README.html

## breezy-debian 2.8.10ubuntu1

=== debian/changelog ===
breezy-debian (2.8.10ubuntu1) bionic; urgency=medium

  * Fix `bzr dh-make` (LP: #1954595)
    - dh_make.py: import bzrdir.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 20 May 2022 11:43:32 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: breezy-debian
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
 Build-Depends-Indep: brz, python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-breezy.tests (>= 3.0.0~bzr6819), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-breezy.tests, python-subunit, python-testtools, python-lzma, python-distro-info, libalgorithm-merge-perl
Restrictions: allow-stderr

## breezy-debian 2.8.13

=== debian/changelog ===
breezy-debian (2.8.13) unstable; urgency=medium

  * Add dependency on python-dulwich. Closes: #899008
  * Remove obsolete URL from debian/copyright.
  * Change Vcs-Bzr URL to launchpad.
  * debian/source/lintian-overrides: Fix source package name.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 18 May 2018 16:40:12 +0100

breezy-debian (2.8.12) unstable; urgency=medium

  * Skip GPG signatures when looking for tarballs.
  * Fix compatibility with newer versions of Breezy.
  * Remove support for 'get-orig-source' debian/rules target, which was
    removed in Debian policy 4.1.4.0.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 Apr 2018 01:51:03 +0100

breezy-debian (2.8.11) unstable; urgency=medium

  * Add compatibility for newer versions of Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Mar 2018 21:25:48 +0000

=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
Build-Depends-Indep: brz, python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-breezy.tests (>= 3.0.0~bzr6876), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt, python-dulwich (>= 0.19)
Vcs-Bzr: https://bazaar.launchpad.net/~debian-bazaar/debian/sid/breezy-debian/unstable
Vcs-Browser: https://bazaar.launchpad.net/~debian-bazaar/debian/sid/breezy-debian/unstable
X-Python-Version: >= 2.4
Standards-Version: 4.1.1
XS-Testsuite: autopkgtest

Package: brz-debian
Architecture: all
Depends: brz (>= 3.0.0~bzr6876), python-breezy (>= 3.0.0~bzr6876), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}
Recommends: python-launchpadlib, libalgorithm-merge-perl, python-distro-info
Suggests: python-lzma
Provides: brz-buildpackage
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-breezy.tests, python-subunit, python-testtools, python-lzma, python-distro-info, libalgorithm-merge-perl, python-dulwich
Restrictions: allow-stderr

## breezy-debian 2.8.25

=== debian/changelog ===
breezy-debian (2.8.25) unstable; urgency=medium

  * Support newer versions of Breezy where generate_ids has moved to
    breezy.bzr.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 Feb 2019 22:33:59 +0000

breezy-debian (2.8.24) unstable; urgency=medium

  * Support git snapshot id in version strings when merging a snapshot
    from an upstream git repository.
  * Support finding upstream git revisions by snapshot id in upstream
    version.
  * Support merging from upstream branches without random access
    support, i.e. remote git repositories.
  * Bump debhelper from old 9 to 10.
  * Bump standards version to 4.3.0 (no changes).
  * debian/copyright: Remove reference to removed bzrtools_bzrtools.py.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Feb 2019 15:50:52 +0000

breezy-debian (2.8.23) unstable; urgency=medium

  * Convert copyright file to machine-readable format.
  * Pass copyright-file to uscan, so that Files-Excluded can be read.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Jan 2019 00:35:45 +0000

breezy-debian (2.8.22) unstable; urgency=medium

  * Set Enhances: brz.
  * Fix compatibility with newer snapshots of Breezy.
  * Trim trailing whitespace.
  * Remove unnecessary XS-Testsuite field in debian/control.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Nov 2018 13:46:55 +0000

breezy-debian (2.8.21) unstable; urgency=medium

  * Support finding upstream revisions based on bzr revno.
  * Fix error when attempting to release from branch without colocated
    branch support.
  * brz dep3-patch: Use git commit ids when generating patches from Git
    repositories.
  * Fix compatibility with newer versions of brz.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Nov 2018 02:10:53 +0000

breezy-debian (2.8.20) unstable; urgency=medium

  * Add 'brz debrelease' command.
  * Fix autopgktests; use Python 3 dependencies.
  * Fix test_merge_upstream.ChangelogAddNewVersionTests.test_add_new
    when run with non-ascii username and LC_ALL=C.
  * Hide the mark-uploaded command.
  * Support tag names starting with debian/ or ubuntu/, for
    compatibility with git-buildpackage.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Oct 2018 22:57:16 +0000

breezy-debian (2.8.16) unstable; urgency=medium

  * Properly escape slashes in git branch names.
  * Add dgit: directory.
  * Cope with Dgit headers without location.
  * Drop outdated X-Python-Version header.
  * Update to run with Python 3 version of Breezy.
  * Switch to pybuild.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Sep 2018 14:41:09 +0100

breezy-debian (2.8.15) unstable; urgency=medium

  * Guess upstream tag names if none is explicitly set.
  * Support retrieving/storing pristine-tar deltas in git branches.
  * Simplify handling of apt: URLs.
  * Display resolved branch URL in apt: directory.
  * Add support for Vcs-Darcs in directory.
  * Handle rsync-style URLs in Vcs-Git.
  * Suport resolving other directories in apt:.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 09 Sep 2018 13:24:02 +0100

breezy-debian (2.8.14) unstable; urgency=medium

  * Update Vcs-Bzr to reflect code hosting is now on code.breezy-
    vcs.org.
  * Read upstream branch from debian/upstream/metadata. LP: #1791456

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 May 2018 15:32:40 +0100

=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 10~), python3-all (>= 2.6.6-3), xz-utils, dh-python
Build-Depends-Indep: brz (>= 3.0.0~bzr7210-1), python3-docutils, python3-debian, python3-apt, patchutils, python3-testtools, pristine-tar, devscripts (>= 2.10.59), python3-subunit, python3-breezy.tests, libalgorithm-merge-perl, python3-distro-info, quilt, python3-dulwich (>= 0.19.9), python3-yaml
Vcs-Bzr: https://code.breezy-vcs.org/breezy-debian/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy-debian/unstable
Standards-Version: 4.3.0

Package: brz-debian
Architecture: all
Depends: brz (>= 3.0.0~bzr7210-1), python3-breezy, python3-debian, python3-apt, ${python3:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}, python3-yaml
Recommends: python3-launchpadlib, libalgorithm-merge-perl, python3-distro-info, python3-dulwich (>= 0.19.9)
Suggests: python3-lzma
Provides: brz-buildpackage
Enhances: brz
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

## breezy-debian 2.8.26

=== debian/changelog ===
breezy-debian (2.8.26) unstable; urgency=medium

  * Add a 'vcs:' location resolver that uses the location provided by
    the package in the current directory.
  * Bump bzr version to 3.0.0~bzr7290; required for MemoryTags class.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 26 Feb 2019 06:16:06 +0000

=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 10~), python3-all (>= 2.6.6-3), xz-utils, dh-python
Build-Depends-Indep: brz (>= 3.0.0~bzr7290), python3-docutils, python3-debian, python3-apt, patchutils, python3-testtools, pristine-tar, devscripts (>= 2.10.59), python3-subunit, python3-breezy.tests, libalgorithm-merge-perl, python3-distro-info, quilt, python3-dulwich (>= 0.19.9), python3-yaml
Vcs-Bzr: https://code.breezy-vcs.org/breezy-debian/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy-debian/unstable
Standards-Version: 4.3.0

Package: brz-debian
Architecture: all
Depends: brz (>= 3.0.0~bzr7290), python3-breezy, python3-debian, python3-apt, ${python3:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}, python3-yaml
Recommends: python3-launchpadlib, libalgorithm-merge-perl, python3-distro-info, python3-dulwich (>= 0.19.9)
Suggests: python3-lzma
Provides: brz-buildpackage
Enhances: brz
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

## breezy-debian 2.8.26+nmu1

=== debian/changelog ===
breezy-debian (2.8.26+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:39:39 +0800

## breezy-debian 2.8.28

=== debian/changelog ===
breezy-debian (2.8.28) unstable; urgency=medium

  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Jul 2019 14:36:10 +0000

breezy-debian (2.8.27) experimental; urgency=medium

  * Support dotted revnos when referencing upstream revisions.
  * Support a Repository-Tag-Prefix field in debian/upstream/metadata.
  * builddeb: Drop unused -w option.
  * Export upstream keyrings when downloading new upstream releases with
    uscan.
  * Support date-only git snapshot versions.
  * By default, don't create a pristine-tar branch if one doesn't exist.
  * Be a bit quieter when adding pristine-tar metadata in git
    repositories.
  * Drop commit-message-from-changelog setting; always default to True.
  * Use regexes for parsing 'uscan --dehs' output; it's not always well-
    formed XML.
  * Support tildes being escaped to underscores when finding the tag for
    upstream versions in Git repositories.
  * Check gbp.conf for tag format.
  * Support git style revisions in upstream versions with just the date.
  * Support v.X syntax for version tags.
  * Disable quilt functionality when Breezy is providing a quilt plugin.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 Mar 2019 21:35:13 +0000

## breezy-debian 2.8.29

=== debian/changelog ===
breezy-debian (2.8.29) unstable; urgency=medium

  * Support substitutions in gbp tag format.
  * Properly propagate errors from uscan rather than just reporting
    'package could not be found'.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Aug 2019 08:12:02 +0000

=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 10~), python3-all (>= 2.6.6-3), xz-utils, dh-python
Build-Depends-Indep: brz (>= 3.0.0~bzr7290), python3-docutils, python3-debian, python3-apt, patchutils, python3-testtools, pristine-tar, devscripts (>= 2.10.59), python3-subunit, python3-breezy.tests (>= 3.0.0), libalgorithm-merge-perl, python3-distro-info, quilt, python3-dulwich (>= 0.19.9), python3-yaml
Vcs-Bzr: https://code.breezy-vcs.org/breezy-debian/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy-debian/unstable
Standards-Version: 4.3.0

Package: brz-debian
Architecture: all
Depends: brz (>= 3.0.0~bzr7290), python3-breezy (>= 3.0.0), python3-debian, python3-apt, ${python3:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}, python3-yaml
Recommends: python3-launchpadlib, libalgorithm-merge-perl, python3-distro-info, python3-dulwich (>= 0.19.9)
Suggests: python3-lzma
Provides: brz-buildpackage
Breaks: silver-platter (<= 0.1.0)
Enhances: brz
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

## breezy-debian 2.8.32

=== debian/changelog ===
breezy-debian (2.8.32) unstable; urgency=medium

  * Support plain local branch source in revspec.
  * Initial support on building packages that don't live in the branch
    root.
  * Support -b in Vcs-Hg URLs.
  * Rely on dpkg-source to apply/unapply patches.
  * Add basic support for stripping files listed in Files-Excluded from
    upstreams.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Nov 2019 02:57:14 +0000

breezy-debian (2.8.31) unstable; urgency=medium

  * Fix compatibility with Breezy 3.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Oct 2019 13:03:27 +0000

breezy-debian (2.8.30) unstable; urgency=medium

  * Raise separate exception when encountering syntax error in
    debian/upstream/metadata.
  * Actually install the quilt subpackage.
  * Update standards version, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Add missing colon in closes line.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Sep 2019 02:31:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
-Build-Depends: debhelper (>= 10~), python3-all (>= 2.6.6-3), xz-utils, dh-python
+Build-Depends: python3-all (>= 2.6.6-3), xz-utils, dh-python, debhelper-compat (= 12)
 Build-Depends-Indep: brz (>= 3.0.0~bzr7290), python3-docutils, python3-debian, python3-apt, patchutils, python3-testtools, pristine-tar, devscripts (>= 2.10.59), python3-subunit, python3-breezy.tests (>= 3.0.0), libalgorithm-merge-perl, python3-distro-info, quilt, python3-dulwich (>= 0.19.9), python3-yaml
 Vcs-Bzr: https://code.breezy-vcs.org/breezy-debian/unstable
 Vcs-Browser: https://code.breezy-vcs.org/breezy-debian/unstable
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 
 Package: brz-debian
 Architecture: all

## breezy-debian 2.8.32ubuntu1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 BRZ_OPTIONS ?= -Derror
 PYTHON ?= $(shell which python)
 SETUP ?= $(PYTHON) ./setup.py
-TESTS ?= "^breezy.plugins.debian."
+TESTS ?= "^breezy.plugins.debian." "^unittest"
 
 all: update-pot

=== debian/changelog ===
breezy-debian (2.8.32ubuntu1) focal; urgency=medium

  * Keep breezy autopkgtest happy:
    - Enable absolute_import in many files
    - Install quilt plugint tests
    - Drop code example from documentation in config.py because it returns
      slightly different results in breezy autopkgtest

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 10 Feb 2020 18:04:57 +0100

## breezy-debian 2.8.32ubuntu1.1

=== debian/changelog ===
breezy-debian (2.8.32ubuntu1.1) focal; urgency=medium

  * Fix `bzr dh-make` (LP: #1954595)
    - dh_make.py: import bzrdir.
    - cmds.py: cmd_dh_make(): don't encode version;
      breezy-debian commit 0c79e2e ("Fix dh-make.").

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 20 May 2022 12:12:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: breezy-debian
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: python3-all (>= 2.6.6-3), xz-utils, dh-python, debhelper-compat (= 12)
 Build-Depends-Indep: brz (>= 3.0.0~bzr7290), python3-docutils, python3-debian, python3-apt, patchutils, python3-testtools, pristine-tar, devscripts (>= 2.10.59), python3-subunit, python3-breezy.tests (>= 3.0.0), libalgorithm-merge-perl, python3-distro-info, quilt, python3-dulwich (>= 0.19.9), python3-yaml

=== debian/tests/control ===
Tests: testsuite
Depends: @, python3-breezy.tests (>= 3.0.0~bzr7210-1), python3-subunit, python3-testtools, python3-distro-info, libalgorithm-merge-perl, python3-dulwich (>= 0.19.9-1)
Restrictions: allow-stderr

## breezy-debian 2.8.42

=== debian/changelog ===
breezy-debian (2.8.42) unstable; urgency=medium

  * Cope with versions being missing in watch file (e.g. because they're
    snapshots).
  * Add support for Vcs-Cvs URLs.
  * Add support for Vcs-Mtn fields.
  * Add support for Vcs-Arch fields.
  * Add rudimentary support for building debcargo packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Sep 2020 15:51:46 +0000

breezy-debian (2.8.41) unstable; urgency=medium

  * Fix pristine-tar checkouts for git repositories.
  * Add support for kali linux.
  * Properly export debian directories when running uscan in subpath.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Aug 2020 14:28:06 +0000

breezy-debian (2.8.40) unstable; urgency=medium

  * Depend on debmutate for control editing.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jul 2020 01:26:14 +0000

breezy-debian (2.8.39) unstable; urgency=medium

  * Allow debian revisions in the version string of native packages, but
    warn about it.
  * Fix compatibility with Breezy >= 3.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 07 Jul 2020 00:12:17 +0000

breezy-debian (2.8.38) unstable; urgency=medium

  * Adapt version manipulation functions for lintian-brush.
  * Drop bundled quilt code - Breezy proper now ships this as a plugin.
  * Depend on Breezy >= 3.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 09 Jun 2020 23:40:42 +0000

breezy-debian (2.8.37) unstable; urgency=medium

  * Fix dh-make.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 30 May 2020 19:48:00 +0000

breezy-debian (2.8.36) unstable; urgency=medium

  * Don't use file ids if the underlying tree does not support them.
  * Bump required version of Breezy to 3.1.
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 30 May 2020 14:40:41 +0000

breezy-debian (2.8.35) unstable; urgency=medium

  * Wrap long lines in changelog entries: 2.8.0, 2.5.1, 2.1~0ubuntu1,
    0.14ubuntu1.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 May 2020 01:12:30 +0000

breezy-debian (2.8.34) unstable; urgency=medium

  * If there is no explicit tag set for an imported upstream revision,
    scan the revision history for it.
  * Try more possible tag options for possible upstream releases.
  * Add a --dist-command option to 'bzr merge-upstream'.
  * Support falling back to strip-components=0 when the orig tarball
    requires it.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Apr 2020 23:44:17 +0000

breezy-debian (2.8.33) unstable; urgency=medium

  * Update standards version to 4.4.1, no changes needed.
  * Set Rules-Requires-Root.
  * Rely on -Dpristine-tar to enable pristine-tar debugging, rather than
    the custom debug-pristine-tar configuration setting.
  * Don't follow symlinks when exporting directories.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Mar 2020 13:18:22 +0000

=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: python3-all (>= 2.6.6-3), xz-utils, dh-python, debhelper-compat (= 13)
Build-Depends-Indep: brz (>= 3.1~), python3-docutils, python3-debian, python3-apt, patchutils, python3-testtools, pristine-tar, devscripts (>= 2.10.59), python3-subunit, python3-breezy.tests (>= 3.1~), libalgorithm-merge-perl, python3-distro-info, quilt, python3-dulwich (>= 0.19.9), python3-yaml, python3-debmutate (>= 0.3)
Vcs-Bzr: https://code.breezy-vcs.org/breezy-debian/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy-debian/unstable
Rules-Requires-Root: no
Standards-Version: 4.5.0

Package: brz-debian
Architecture: all
Depends: brz (>= 3.1~), python3-breezy (>= 3.1~), python3-debian, python3-apt, ${python3:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}, python3-yaml, python3-debmutate (>= 0.3)
Recommends: python3-launchpadlib, libalgorithm-merge-perl, python3-distro-info, python3-dulwich (>= 0.19.9)
Suggests: python3-lzma
Provides: brz-buildpackage
Breaks: silver-platter (<= 0.1.0)
Enhances: brz
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

## breezy-debian 2.8.51

=== debian/changelog ===
breezy-debian (2.8.51) unstable; urgency=medium

  * Drop the dh-make subcommand.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 18 Feb 2021 13:02:55 +0000

breezy-debian (2.8.50) unstable; urgency=medium

  * Add tree_debian_tag_name function for getting tag names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 03:14:51 +0000

breezy-debian (2.8.49) unstable; urgency=medium

  * Rely on upstream ontologist rather than lintian-brush for upstream
    metadata.
  * Return tags from release().

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 01 Feb 2021 23:37:12 +0000

breezy-debian (2.8.48) unstable; urgency=medium

  * Prevent merging old versions.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Nov 2020 23:52:49 +0000

breezy-debian (2.8.47) unstable; urgency=medium

  * Require newer debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Nov 2020 21:26:02 +0000

breezy-debian (2.8.46) unstable; urgency=medium

  * When looking for debian versions, mangle when on Git.
  * Suggest debcargo, for building debcargo-based packages.
  * Require debmutate 0.14.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 10 Nov 2020 02:56:08 +0000

breezy-debian (2.8.45) unstable; urgency=medium

  * Fix compatibility with older versions of debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 04 Nov 2020 02:51:44 +0000

breezy-debian (2.8.44) unstable; urgency=medium

  * Add support for uversionmangle in debian/watch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 04 Nov 2020 02:41:57 +0000

breezy-debian (2.8.43) unstable; urgency=medium

  * When building debcargo packages, don't bump the changelog version.
  * Support old metadata path.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 29 Oct 2020 00:06:57 +0000

=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all (>= 2.6.6-3),
               xz-utils
Build-Depends-Indep: brz (>= 3.1~),
                     debcargo,
                     devscripts (>= 2.10.59),
                     libalgorithm-merge-perl,
                     patchutils,
                     pristine-tar,
                     python3-apt,
                     python3-breezy.tests (>= 3.1~),
                     python3-debian,
                     python3-debmutate (>= 0.15),
                     python3-distro-info,
                     python3-docutils,
                     python3-dulwich (>= 0.19.9),
                     python3-subunit,
                     python3-testtools,
                     python3-yaml,
                     quilt
Vcs-Bzr: https://code.breezy-vcs.org/breezy-debian/unstable
Vcs-Browser: https://code.breezy-vcs.org/breezy-debian/unstable
Rules-Requires-Root: no
Standards-Version: 4.5.0

Package: brz-debian
Architecture: all
Depends: brz (>= 3.1~),
         devscripts (>= 2.10.59),
         dpkg-dev,
         fakeroot,
         patchutils,
         pristine-tar,
         python3-apt,
         python3-breezy (>= 3.1~),
         python3-debian,
         python3-debmutate (>= 0.15),
         python3-yaml,
         quilt,
         ${misc:Depends},
         ${python3:Depends}
Recommends: libalgorithm-merge-perl,
            python3-distro-info,
            python3-dulwich (>= 0.19.9),
            python3-launchpadlib,
            python3-upstream-ontologist
Suggests: debcargo, python3-lzma
Provides: brz-buildpackage
Breaks: silver-platter (<= 0.1.0)
Enhances: brz
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

## breezy-debian 2.8.65

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BRZ ?= $(shell which brz)
 BRZ_OPTIONS ?= -Derror
-PYTHON ?= $(shell which python)
+PYTHON ?= $(shell which python3)
 SETUP ?= $(PYTHON) ./setup.py
 TESTS ?= "^breezy.plugins.debian." "^unittest"

=== debian/changelog ===
breezy-debian (2.8.65) unstable; urgency=medium

  * Improve compatibility with newer versions of Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Dec 2021 19:37:42 +0000

breezy-debian (2.8.64) unstable; urgency=medium

  * Import deb-move-orphaned from silver-platter.
  * Rebuild source-only. Closes: #998032

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 29 Oct 2021 01:54:39 +0100

breezy-debian (2.8.63) unstable; urgency=medium

  * Support SVP protocol in scripts.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 17 Jun 2021 09:37:34 +0100

breezy-debian (2.8.62) unstable; urgency=medium

  * Support . after 'bzr' in version strings.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 11 Jun 2021 20:09:52 +0100

breezy-debian (2.8.61) unstable; urgency=medium

  * Bump minimum Breezy to 3.2.
  * Drop --launchpad flag.
  * Add scripts deb-auto-import, deb-import-uncommitted and deb-new-
    upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 01 Jun 2021 18:06:24 +0100

breezy-debian (2.8.60) unstable; urgency=medium

  * Improve handling of mangled upstream versions, especially for git
    snapshots.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 02 May 2021 16:13:10 +0100

breezy-debian (2.8.59) unstable; urgency=medium

  * Improve snapshot revision creation a bit more.
  * Fix upstream version sorting.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Apr 2021 02:30:45 +0100

breezy-debian (2.8.58) unstable; urgency=medium

  * Support building multiple changes files.
  * Support custom suffixes in changes files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Mar 2021 14:41:57 +0100

breezy-debian (2.8.57) unstable; urgency=medium

  * Remove some no longer existing but unused imports.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Mar 2021 16:40:27 +0000

breezy-debian (2.8.56) unstable; urgency=medium

  * Use debmutate for editing changelogs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 26 Mar 2021 15:39:49 +0000

breezy-debian (2.8.55) unstable; urgency=medium

  * Raise specific error if previous version is missing.
  * Fix compatibility with newer versions of the merge API.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 16 Mar 2021 00:04:00 +0000

breezy-debian (2.8.54) unstable; urgency=medium

  * debcargo: Fix manipulation of dashes in package names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Mar 2021 17:20:08 +0000

breezy-debian (2.8.53) unstable; urgency=medium

  * debcargo: Use version from changelog rather than package name.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Mar 2021 17:14:59 +0000

breezy-debian (2.8.52) unstable; urgency=medium

  * Handle semver_suffix for debcargo packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Mar 2021 17:08:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                dh-python,
                python3-all (>= 2.6.6-3),
                xz-utils
-Build-Depends-Indep: brz (>= 3.1~),
+Build-Depends-Indep: brz (>= 3.2~),
                      debcargo,
                      devscripts (>= 2.10.59),
                      libalgorithm-merge-perl,
                      patchutils,
                      pristine-tar,
                      python3-apt,
-                     python3-breezy.tests (>= 3.1~),
+                     python3-breezy.tests (>= 3.2~),
                      python3-debian,
-                     python3-debmutate (>= 0.15),
+                     python3-debmutate (>= 0.34),
                      python3-distro-info,
                      python3-docutils,
                      python3-dulwich (>= 0.19.9),
@@ -31,16 +31,17 @@
 
 Package: brz-debian
 Architecture: all
-Depends: brz (>= 3.1~),
+Depends: brz (>= 3.2~),
          devscripts (>= 2.10.59),
          dpkg-dev,
          fakeroot,
          patchutils,
          pristine-tar,
          python3-apt,
-         python3-breezy (>= 3.1~),
+         python3-breezy (>= 3.2~),
          python3-debian,
-         python3-debmutate (>= 0.15),
+         python3-debmutate (>= 0.34),
+         python3-psycopg2,
          python3-yaml,
          quilt,
          ${misc:Depends},

=== debian/tests/control ===
Tests: testsuite
Depends: libalgorithm-merge-perl,
         python3-breezy.tests (>= 3.0.0~bzr7210-1),
         python3-distro-info,
         python3-dulwich (>= 0.19.9-1),
         python3-subunit,
         python3-testtools,
         @
Restrictions: allow-stderr

## breezy-debian 2.8.69

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 BRZ ?= $(shell which brz)
 BRZ_OPTIONS ?= -Derror
-PYTHON ?= $(shell which python3)
 SETUP ?= $(PYTHON) ./setup.py
 TESTS ?= "^breezy.plugins.debian." "^unittest"
 
@@ -24,4 +23,4 @@
 	  -d breezy-debian -p po -o breezy-debian.pot
 
 check:
-	BRZ_PLUGINS_AT=debian@$(shell pwd) $(PYTHON) $(PYTHON_OPTIONS) $(BRZ) $(BRZ_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
+	BRZ_PLUGINS_AT=debian@$(shell pwd) $(BRZ) $(BRZ_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)

=== debian/changelog ===
breezy-debian (2.8.69) unstable; urgency=medium

  * When necessary, adds dfsg suffix.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 19:01:59 +0100

breezy-debian (2.8.68) unstable; urgency=medium

  * Drop mark-uploaded command; use 'bzr tag' (without arguments)
    instead.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 21:52:49 +0100

breezy-debian (2.8.67) unstable; urgency=medium

  * Cope with multiple documents in debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 Apr 2022 23:15:53 +0100

breezy-debian (2.8.66) unstable; urgency=medium

  * Fix locking behaviour in export_with_nested.
  * Rely on upstream_version_add_revision from debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 10 Apr 2022 17:32:44 +0100

## breezy-debian 2.8.76

=== debian/changelog ===
breezy-debian (2.8.76) unstable; urgency=medium

  * Export package.json and META.json.
  * deb-merge: Fall back to importing .dsc.
  * deb-import-uncommitted: fail when there are git attributes in the
    tree, which might impact what files were originally exported.
  * deb-auto-backport: add --version option.
  * deb-import-uncommitted: Skip noop uploads.
  * deb-auto-backport: Add --apt-repository argument.
  * Integrate deb-merge and deb-auto-backport.
  * Improve errors messages from deb-vcs-up-to-date

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Feb 2023 14:03:54 +0000

breezy-debian (2.8.75) unstable; urgency=medium

  * deb-import-uncommitted: Handle presence of unuploaded changes.
  * deb-new-upstream: Support --skip-empty setting.
  * Add deb-merge command.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 21:54:57 +0000

breezy-debian (2.8.74) unstable; urgency=medium

  * Fix uncaught error in deb-import-uncommitted.
  * Use flake8 to verify formatting of all code..

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 21 Oct 2022 00:11:18 +0100

breezy-debian (2.8.73) unstable; urgency=medium

  * Add new script deb-vcs-up-to-date: checks whether the local tree is
    up to date with the archive
  * Add --version argument to deb-import-uncommitted.
  * Bump minimum breezy to 3.3.
  * Don't add builddeb.conf files when importing packages.
  * deb-import-uncommitted: cope with already present revisions that are
    just not on the branch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Oct 2022 22:58:24 +0100

breezy-debian (2.8.72) unstable; urgency=medium

  * apt_repo: Default to no rootdir, since apt.Cache tries to create
    files in / otherwise.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 02 Oct 2022 14:45:36 +0100

breezy-debian (2.8.71) unstable; urgency=medium

  * Add new deb-update-packaging script.
  * Add --skip-signatures argument to deb-new-upstream.
  * Factor out apt repository access.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 02 Oct 2022 13:49:36 +0100

breezy-debian (2.8.70) unstable; urgency=medium

  * Fix tag name determination for native releases.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Aug 2022 21:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                dh-python,
                python3-all (>= 2.6.6-3),
                xz-utils
-Build-Depends-Indep: brz (>= 3.2~),
+Build-Depends-Indep: brz (>= 3.3~),
                      debcargo,
                      devscripts (>= 2.10.59),
                      libalgorithm-merge-perl,
                      patchutils,
                      pristine-tar,
                      python3-apt,
-                     python3-breezy.tests (>= 3.2~),
+                     python3-breezy.tests (>= 3.3~),
                      python3-debian,
                      python3-debmutate (>= 0.34),
                      python3-distro-info,
@@ -31,14 +31,14 @@
 
 Package: brz-debian
 Architecture: all
-Depends: brz (>= 3.2~),
+Depends: brz (>= 3.3~),
          devscripts (>= 2.10.59),
          dpkg-dev,
          fakeroot,
          patchutils,
          pristine-tar,
          python3-apt,
-         python3-breezy (>= 3.2~),
+         python3-breezy (>= 3.3~),
          python3-debian,
          python3-debmutate (>= 0.34),
          python3-psycopg2,
@@ -51,7 +51,7 @@
             python3-dulwich (>= 0.19.9),
             python3-launchpadlib,
             python3-upstream-ontologist
-Suggests: debcargo, python3-lzma
+Suggests: debcargo
 Provides: brz-buildpackage
 Breaks: silver-platter (<= 0.1.0)
 Enhances: brz

## breezy-debian 2.8.78

=== debian/changelog ===
breezy-debian (2.8.78) unstable; urgency=medium

  * Fix latest version retrieval. Closes: #1032247

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 08 Mar 2023 22:04:28 +0000

breezy-debian (2.8.77) unstable; urgency=medium

  * merge-upstream: when current version is a snapshot, default to also
    merging snapshot.
  * Fix Vcs-Bzr location since code.breezy-vcs.org is down. Closes:
    #1031997

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 27 Feb 2023 11:10:02 +0000

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
                      python3-testtools,
                      python3-yaml,
                      quilt
-Vcs-Bzr: https://code.breezy-vcs.org/breezy-debian/unstable
-Vcs-Browser: https://code.breezy-vcs.org/breezy-debian/unstable
+Vcs-Bzr: https://code.launchpad.net/brz-debian
+Vcs-Browser: https://code.launchpad.net/brz-debian
 Rules-Requires-Root: no
 Standards-Version: 4.5.0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

doc_dir=doc/user_manual/
rst_docs=$(wildcard $(addsuffix /*.rst, $(doc_dir)))
html_docs=$(patsubst %.rst, %.html, $(rst_docs))

%:
	dh $* --with python3 --buildsystem=pybuild

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_CONCURRENCY = BRZ_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_PARALLEL = --parallel=fork
else
SELFTEST_CONCURRENCY =
SELFTEST_PARALLEL =
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(SELFTEST_CONCURRENCY) BRZ_PLUGINS_AT=debian@$(CURDIR) BRZ_PLUGIN_PATH=-site:-user /usr/bin/brz selftest \
	    $(SELFTEST_PARALLEL) -v -s bp.debian
endif

%.html: %.rst
	rst2html --stylesheet-path=$(doc_dir)/user_manual.css $< > $@

override_dh_auto_build-indep: $(html_docs)
	rst2html README.rst > README.html

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(html_docs)
	rm -f README.html
